import cz.agents.alite.vis.VisManager;
import cz.agents.alite.vis.layer.toggle.KeyToggleLayer;


public class DebugVis {
    public static float[][][] stateActionValues;
    
    /**
     * Create a visualization layer:
     *    Action-value layer (activated by pressing "a")
     */
    
    public static KeyToggleLayer aLayer;

    static void initVis() {
    	
    	if (aLayer != null) {
    		VisManager.unregisterLayer(aLayer);
    	}

		aLayer = KeyToggleLayer.create("a");
		aLayer.addSubLayer(
			ActionValueFunctionLayer.create(new  ActionValueFunctionLayer.ActionValueFunctionProvider() {

				@Override
				public float[][][] getValueFunction() {
					return stateActionValues;
				}
			}, 10));
		aLayer.setEnabled(false);
		VisManager.registerLayer(aLayer);
    }

	public static void setStateActionValues(float[][][] stateActionValues) {
		DebugVis.stateActionValues = stateActionValues;
	}
}
